Back to LanguageTool Homepage - Privacy - Imprint

Cannot install in Mavericks


(John Smith) #1

Good evening,

I'm having troubles when installing the extension (Libreoffice 4.1.3.2, OS X Mavericks)

That's what appears:

com.sun.star.uno.RuntimeException) { { Message = "[jni_uno bridge error] UNO calling Java method writeRegistryInfo: non-UNO exception occurred: java.lang.UnsupportedClassVersionError: org/languagetool/openoffice/Main : Unsupported major.minor version 51.0\X000ajava stack trace:\X000ajava.lang.UnsupportedClassVersionError: org/languagetool/openoffice/Main : Unsupported major.minor version 51.0\X000a\X0009at java.lang.ClassLoader.defineClass1(Native Method)\X000a\X0009at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)\X000a\X0009at java.lang.ClassLoader.defineClass(ClassLoader.java:621)\X000a\X0009at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)\X000a\X0009at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)\X000a\X0009at java.net.URLClassLoader.access$000(URLClassLoader.java:58)\X000a\X0009at java.net.URLClassLoader$1.run(URLClassLoader.java:197)\X000a\X0009at java.security.AccessController.doPrivileged(Native Method)\X000a\X0009at java.net.URLClassLoader.findClass(URLClassLoader.java:190)\X000a\X0009at java.lang.ClassLoader.loadClass(ClassLoader.java:306)\X000a\X0009at java.lang.ClassLoader.loadClass(ClassLoader.java:295)\X000a\X0009at java.net.FactoryURLClassLoader.loadClass(URLClassLoader.java:627)\X000a\X0009at java.lang.ClassLoader.loadClass(ClassLoader.java:247)\X000a\X0009at com.sun.star.comp.loader.RegistrationClassFinder.find(RegistrationClassFinder.java:55)\X000a\X0009at com.sun.star.comp.loader.JavaLoader.writeRegistryInfo(JavaLoader.java:399)\X000a", Context = (com.sun.star.uno.XInterface) @0 } }

What do I do? Thank you.


(Daniel Naber) #2

Quoting http://languagetool.org/issues/:

Note that if you have a 32-bit version of LibreOffice/OpenOffice, you will also need a 32-bit version of Java - LanguageTool will not work otherwise. LibreOffice/OpenOffice doesn't provide official 64-bit versions for Windows and Mac yet, so you will need a 32-bit Java on Windows and Mac.


(John Smith) #3

Understood, but a 32bit Java version doesn't exist for mac users...


(Daniel Naber) #4

You can either use LT 2.2 (http://languagetool.org/download/) which doesn't need Java 7 yet, or you'll need to wait until a 64bit LibreOffice is available, sorry.


(John Smith) #5

That worked! Thank you very much, great extension!